@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
  font-family: 'Roboto', sans-serif;
}

.card {
  background-color: #fff;
  border-radius: 20px;
  width: 70vw;
  height: 80vh;
  min-width: 300px;
  min-height: 600px;
  z-index: 2;
}

.card .card-header {
  height: 70px;
  width: 100%;
  background-color: #0ca6b6;
  border-radius: 20px 20px 0 0;
  display: flex;
  justify-content: space-between;
}

.card .card-header div {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  font-size: 1.2rem;
  font-weight: bold;
  color: #fff;
}

.card .card-header .close-icon {
  all: unset;
  padding: 10px;
  font-weight: bold;
  color: #fff;
  font-size: 30px;
  cursor: pointer;
}
.card-footer {
  height: 50px;
  display: flex;
  justify-content: end;
  padding: 10px;
  gap: 10px;
}
.card-footer button {
  all: unset;
  cursor: pointer;
}
.card-footer .continue {
  color: #0ca6b6;
}
.card-footer .checkout {
  color: #fff;
  background-color: #0ca6b6;
  border-radius: 10px;
  padding: 5px;
  min-width: 120px;
  text-align: center;
}
.card-footer .checkout:hover {
  opacity: 0.8;
}
.card-container {
  height: calc(100% - 140px);
}
.card-container .products {
  height: 90%;
  overflow-y: auto;
}
.card-container .total {
  height: 10%;
  text-align: right;
  margin-right: 30px;
  font-weight: bold;
}
.card-container .products .product-item {
  display: flex;
  align-items: center;
  max-height: 120px;
}
.card-container .products .product-item .image {
  width: 30%;
  padding: 10px;
  text-align: center;
  height: 100%;
}
.card-container .products .product-item .image img {
  height: 100%;
  max-width: 120px;
  width: 100%;
}
.card-container .products .product-item .info {
  width: 40%;
  flex-direction: column;
  display: flex;
  gap: 10px;
  padding: 10px;
}
.card-container .products .product-item .info .qty-selector {
  display: flex;
  align-items: center;
  gap: 5px;
}
.card-container .products .product-item .info .name {
  font-size: 1rem;
  color: #0ca6b6;
  word-break: break-all;
}
.card-container .products .product-item .info .price {
  font-size: 1rem;
}
.card-container .products .product-item .info .qty-selector input {
  all: unset;
  text-align: center;
  background-color: #f1f1f1;
  border: 1px solid #bdc3c7;
  width: 60%;
  height: 30px;
}
.card-container .products .product-item .info .qty-selector button {
  all: unset;
  font-size: 30px;
  cursor: pointer;
}
.card-container .products .product-item .subtotal {
  text-align: center;
  width: 20%;
  font-size: 1rem;
  font-weight: 300;
}
.card-container .products .product-item .remove {
  text-align: center;
  width: 10%;
}
.card-container .products .product-item .remove img {
  width: 20px;
  height: 20px;
  cursor: pointer;
}

select.form-control {
  display: block;
  width: 100%;
  height: calc(2.25rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

select.form-control:focus {
  border-color: #80bdff;
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

select.form-control::-ms-expand {
  background-color: transparent;
  border: 0;
}

select.form-control:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #495057;
}

#cart {
  display: none;
  width: 100vw;
  height: 100vh;
  z-index: 999;
  padding: 0;
  position: absolute;
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.5s ease-in;
}
#product-view {
  display: none;
  width: 100vw;
  height: 100vh;
  z-index: 999;
  padding: 0;
  position: absolute;
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.5s ease-in;
}
#product-view .card {
  width: 60vw;
  max-width: 600px;
  max-height: none;
  min-height: none;
  height: auto;
}
#product-view img {
  width: 100%;
  max-width: 600px;
  border-radius: 0 0 20px 20px;
}
#product-view.visible {
  display: flex;
}
#video-popup {
  display: none;
  width: 100vw;
  height: 100vh;
  z-index: 999;
  padding: 0;
  position: absolute;
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.5s ease-in;
}
#video-popup .card {
  height: auto;
  min-height: 0;
  width: 80vw;
}
#video-popup iframe {
  width: 100%;
  height: 600px;
  border-radius: 0 0 20px 20px;
}
#video-popup.visible {
  display: flex;
}
#video-popup .card-container {
  line-height: 0;
}
.background {
  width: 100vw;
  height: 100vh;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

#cart.visible {
  display: flex;
}

#cart-icon {
  all: unset;
  position: absolute;
  z-index: 998;
  bottom: 20px;
  left: 20px;
  background-color: #0ca6b6;
  padding: 20px;
  border-radius: 0 50% 50% 0;
  cursor: pointer;
  height: 2rem;
  width: 2rem;
}
#lng-selector {
  all: unset;
  position: absolute;
  z-index: 998;
  bottom: 20px;
  right: 20px;
  background-color: #0ca6b6;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
  height: 1rem;
  width: 6rem;
  text-align: center;
  color: #fff;
}
#lng-selector option {
  color: #000;
  background-color: #fff;
  width: 9em;
  padding: 3px;
  text-align: left;
}
#lng-selector option:hover,
#lng-selector option:active {
  color: #fff;
  background-color: #0ca6b6;
}
#lng-selector::before {
  content: '>';
  font-size: 20px;
  display: none;
  padding-right: 10px;
  padding-left: 5px;
  color: #fff;
}

#cart-icon .counter {
  content: '0';
  border-radius: 50%;
  color: #fff;
  background-color: #097b88;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  left: -5px;
  bottom: -5px;
  width: 2rem;
  height: 2rem;
}

#cart-icon img {
  width: 100%;
  height: 100%;
}

@keyframes fadeIn {
  100% {
    opacity: 1;
  }

  0% {
    opacity: 0;
  }
}
@media only screen and (max-width: 600px) {
  #cart .card {
    width: 100%;
    margin: 0px 10px;
  }
  #product-view .card {
    width: 90vw;
  }
  #video-popup .card {
    height: auto;
    width: 90vw;
  }
  .price {
    display: none;
  }
}
